ClusterManagementOperationResult (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: ClusterManagementOperationResult

Package org.apache.geode.management.api

# Class ClusterManagementOperationResult<A extends ClusterManagementOperation<V>,V extends OperationResult>

java.lang.Object
org.apache.geode.management.api.ClusterManagementResult
org.apache.geode.management.api.ClusterManagementOperationResult<A,V>

Type Parameters:
  `V` - the type of the operation's result

All Implemented Interfaces:
  `Serializable`

@Experimental public class ClusterManagementOperationResult<A extends ClusterManagementOperation<V>,V extends OperationResult> extends ClusterManagementResult
Returned by `ClusterManagementService.start(ClusterManagementOperation)` to convey status of launching the async operation, and by `ClusterManagementService.get(ClusterManagementOperation, String)` to describe the status of a started async operation.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

  `ClusterManagementResult.StatusCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterManagementOperationResult()`
  for internal use only
  `ClusterManagementOperationResult(ClusterManagementResult.StatusCode statusCode, String message, Date operationStart, Date operationEnd, A operation, String operationId, V operationResult, Throwable throwable)`
  normally called by `ClusterManagementService.start(ClusterManagementOperation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `A`
  `getOperation()`
  Returns the async operation.
  `Date`
  `getOperationEnd()`
  Returns the time the operation was completed.
  `String`
  `getOperationId()`
  returns the operation id started by this operation.
  `V`
  `getOperationResult()`
  Returns the operation result as an extension of `OperationResult`
  `Date`
  `getOperationStart()`
  Returns the time the operation was started
  `Throwable`
  `getThrowable()`
  Returns any exceptions that might be returned as a result of the operation.

  ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

  `equals, getStatusCode, getStatusMessage, hashCode, isSuccessful, setLinks, setStatus, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClusterManagementOperationResult

    public ClusterManagementOperationResult()
    for internal use only

  - ### ClusterManagementOperationResult

    public ClusterManagementOperationResult(ClusterManagementResult.StatusCode statusCode, String message, Date operationStart, Date operationEnd, A operation, String operationId, V operationResult, Throwable throwable)
    normally called by `ClusterManagementService.start(ClusterManagementOperation)`
    Parameters:
      `statusCode` - the `StatusCode` of the result
      `message` - the status message to set
      `operationStart` - a `Date` representing the time the operation started
      `operationEnd` - a `Date` representing the time the operation ended
      `operation` - the operation
      `operationId` - the ID of the operation
      `operationResult` - the operation's result
      `throwable` - an exception that occurred as a result of the operation, if any

- ## Method Details

  - ### getOperation

    public A getOperation()
    Returns the async operation.
    Returns:
      the operation that this `ClusterManagementOperationResult` describes

  - ### getOperationId

    public String getOperationId()
    returns the operation id started by this operation.
    Returns:
      the operation ID of the operation that this `ClusterManagementOperationResult` describes

  - ### getOperationStart

    public Date getOperationStart()
    Returns the time the operation was started
    Returns:
      the time the operation was started

  - ### getOperationEnd

    public Date getOperationEnd()
    Returns the time the operation was completed. This value is null while the operation is in process.
    Returns:
      the time at which the operation completed, or null if the operation has not completed

  - ### getOperationResult

    public V getOperationResult()
    Returns the operation result as an extension of `OperationResult`
    Returns:
      the result of the operation

  - ### getThrowable

    public Throwable getThrowable()
    Returns any exceptions that might be returned as a result of the operation. Null in case no exceptions occurred.
    Returns:
      any exceptions that might be returned as a result of the operation